Interface SwaggerVdcResource


@Path("/vdcs") @Consumes("application/json") @Produces("application/vnd.ilandcloud.api.v1.0+json") public interface SwaggerVdcResource
  • Method Details

    • getVdc

      @GET @Path("/{vdcUuid}") VdcResponse getVdc(@PathParam("vdcUuid") String vdcUuid, @QueryParam("timestamp") Long timestamp)
      Get a VDC by its UUID.
      Parameters:
      vdcUuid - vdc uuid
      timestamp - optional timestamp parameter to get the vDC details at a certain point in time.
      Returns:
      virtual data center
    • getVappsForVdc

      @GET @Path("/{vdcUuid}/vapps") VappListResponse getVappsForVdc(@PathParam("vdcUuid") String vdcUuid)
      Get a list of vApps for a VDC.
      Parameters:
      vdcUuid - vdc uuid
      Returns:
      list of vApps for the VDC
    • getVmsForVdc

      @GET @Path("/{vdcUuid}/vms") VmListResponse getVmsForVdc(@PathParam("vdcUuid") String vdcUuid)
      Get a list of VMs for a VDC.
      Parameters:
      vdcUuid - vdc uuid
      Returns:
      list of VMs for the VDC
    • getBillingForVdc

      @GET @Path("/{vdcUuid}/billing") BillResponse getBillingForVdc(@PathParam("vdcUuid") String vdcUuid, @QueryParam("year") Integer year, @QueryParam("month") Integer month)
      Returns vDC billing for a given invoice period.

      If month and year are not explicitly supplied the current invoice period is used.

      Parameters:
      vdcUuid - vdc uuid
      year - the invoice period year (defaults to current year)
      month - the invoice period month (defaults to the current month) must be in range 1-12
      Returns:
      billing for the vDC and given invoice period
    • getVappBills

      @GET @Path("/{vdcUuid}/vapp-bills") BillListResponse getVappBills(@PathParam("vdcUuid") String vdcUuid, @QueryParam("month") Integer month, @QueryParam("year") Integer year)
      Gets all vapp bills for a specified vDC. Returns the current month bills by default, but query parameters can be used to select an earlier set of bills.
      Parameters:
      vdcUuid - vdc uuid
      Returns:
      vapp bills for the specified vDC
    • getVmBills

      @GET @Path("/{vdcUuid}/vm-bills") BillListResponse getVmBills(@PathParam("vdcUuid") String vdcUuid, @QueryParam("month") Integer month, @QueryParam("year") Integer year)
      Gets all vm bills for a specified vDC. Returns the current month bills by default, but query parameters can be used to select an earlier set of bills.
      Parameters:
      vdcUuid - vdc uuid
      Returns:
      vm bills for the specified vDC
    • getMetadataForVdc

      @GET @Path("/{vdcUuid}/metadata") MetadataListResponse getMetadataForVdc(@PathParam("vdcUuid") String vdcUuid)
      Retrieve metadata associated with a Vdc.
      Parameters:
      vdcUuid - vdc uuid
      Returns:
      list of metadata for the given vdc
    • updateMetadataForVdc

      @PUT @Path("/{vdcUuid}/metadata") @Consumes("application/json") com.iland.core.web.rest.response.task.TaskResponse updateMetadataForVdc(@PathParam("vdcUuid") String vdcUuid, List<UpdateMetadataRequest> metadata)
      Add / update metadata associated with a Vdc.
      Parameters:
      vdcUuid - vdc uuid
      metadata - of instances
      Returns:
      asynchronous task details
    • deleteMetadataForVdc

      @DELETE @Path("/{vdcUuid}/metadata/{key}") com.iland.core.web.rest.response.task.TaskResponse deleteMetadataForVdc(@PathParam("vdcUuid") String vdcUuid, @PathParam("key") String key)
      Delete a specific piece of metadata associated with a Vdc by its key.
      Parameters:
      vdcUuid - vdc uuid
      key - metadata key
      Returns:
      asynchronous task details
    • getMediasForVdc

      @GET @Path("/{vdcUuid}/medias") MediaListResponse getMediasForVdc(@PathParam("vdcUuid") String vdcUuid)
      Get medias available to a given Vdc.
      Parameters:
      vdcUuid - vdc uuid
      Returns:
      list of medias for the vdc
    • getStorageProfiles

      @GET @Path("/{vdcUuid}/storage-profiles") StorageProfileListResponse getStorageProfiles(@PathParam("vdcUuid") String vdcUuid, @QueryParam("includeDisabled") Boolean includeDisabled)
      Get the storage profiles available to the vDC.
      Parameters:
      vdcUuid - vdc uuid
      includeDisabled - whether to include disabled profiles (defaults to false if not explicitly provided)
      Returns:
      list of storage profiles available to the VDC
    • addVappFromTemplate

      @POST @Path("/{vdcUuid}/actions/add-vapp-from-template") @Consumes("application/json") com.iland.core.web.rest.response.task.TaskResponse addVappFromTemplate(@PathParam("vdcUuid") String vdcUuid, VdcAddVappFromTemplateRequest request)
      Add a vApp from a vApp template. Invocation of this endpoint implies that the user has reviewed and accepted any and all EULAs associated with referenced templates.
      Parameters:
      vdcUuid - vdc uuid
      request - specification for new vApp paramters
      Returns:
      asynchronous task details
    • buildVapp

      @POST @Path("/{vdcUuid}/actions/build-vapp") @Consumes("application/json") com.iland.core.web.rest.response.task.TaskResponse buildVapp(@PathParam("vdcUuid") String vdcUuid, BuildVappRequest spec)
      Create a vApp from scratch to the given VDC. Invocation of this endpoint implies that the user has reviewed and accepted any and all EULAs associated with referenced templates.
      Parameters:
      vdcUuid - vdc uuid
      spec - specification for the new vApp
      Returns:
      asynchronous task details
    • getOrgVdcNetworksForVdc

      @GET @Path("/{vdcUuid}/org-vdc-networks") OrgVdcNetworkListResponse getOrgVdcNetworksForVdc(@PathParam("vdcUuid") String vdcUuid)
      Get org vdc networks for a given VDC.
      Parameters:
      vdcUuid - vdc uuid
      Returns:
      list of networks
    • getPerformanceForVdc

      @GET @Path("/{vdcUuid}/performance/{group}::{name}::{type}") PerfSampleSerieResponse getPerformanceForVdc(@PathParam("vdcUuid") String vdcUuid, @PathParam("group") String group, @PathParam("name") String name, @PathParam("type") String type, @QueryParam("start") Long start, @QueryParam("end") Long end, @QueryParam("interval") String interval, @QueryParam("limit") String limit)
      Get VDC performance data for the given VDC, counter, and time range.
      Parameters:
      vdcUuid - vDC UUID
      group - the performance counter group
      name - the performance counter name
      type - the performance counter type
      start - start date
      end - end date
      interval - interval
      limit - limit
      Returns:
      performance samples serie for the given vdc, counter and date range
    • getZertoPerformanceForVdc

      @GET @Path("/{vdcUuid}/zerto-performance/vdc:{name}::latest") PerfSampleSerieResponse getZertoPerformanceForVdc(@PathParam("vdcUuid") String vdcUuid, @PathParam("name") String name, @QueryParam("start") Long start, @QueryParam("end") Long end)
      Gets the Zerto Vpg performance samples at Vdc level for used & replicated storage Currently hourly, daily abd monthly ranges are supported.
      Parameters:
      vdcUuid - The platform VDC UUID
      name - the counter name e.g. RecoveryJournalUsedStorageInMB or UsedStorageInMB
      start - the start datetime
      end - the end datetime
      Returns:
      zerto performance samples serie for the given vdc, counter and date range
    • getPerformanceCountersForVdc

      @GET @Path("/{vdcUuid}/performance-counters") PerformanceCounterListResponse getPerformanceCountersForVdc(@PathParam("vdcUuid") String vdcUuid)
      Get the list of performance counters that can be used to query for vDC performance data.
      Parameters:
      vdcUuid - vDC UUID
      Returns:
      the list of performance counters
    • getSummaryForVdc

      @GET @Path("/{vdcUuid}/summary") VdcResourceSummaryResponse getSummaryForVdc(@PathParam("vdcUuid") String vdcUuid)
      Get the resource summary for the given VDC.
      Parameters:
      vdcUuid - vdc uuid
      Returns:
      vdc resource summary
    • getVappResourceSummaries

      @GET @Path("{vdcUuid}/vapp-summary-map") VappResourceSummaryMapResponse getVappResourceSummaries(@PathParam("vdcUuid") String vdcUuid)
      Get the map of resource summaries for all vApps in the given vDC.
      Parameters:
      vdcUuid - vdc uuid
      Returns:
      map of vApp uuid to vApp resource summary
    • getVmResourceSummaries

      @GET @Path("{vdcUuid}/vm-summary-map") VmResourceSummaryMapResponse getVmResourceSummaries(@PathParam("vdcUuid") String vdcUuid)
      Get the map of resource summaries for all VMs in the given vDC.
      Parameters:
      vdcUuid - vdc uuid
      Returns:
      map of VM uuid to vm resource summary
    • createOrgVdcNetwork

      @POST @Path("/{vdcUuid}/actions/create-org-vdc-network") @Consumes("application/json") com.iland.core.web.rest.response.task.TaskResponse createOrgVdcNetwork(@PathParam("vdcUuid") String vdcUuid, OrgVdcNetworkCreateRequest createRequest)
      Create a new org-vdc network for this vDC.
      Parameters:
      vdcUuid - vdc uuid
      createRequest - the new org vdc network
      Returns:
      new network
    • getEdgesForVdc

      @GET @Path("/{vdcUuid}/edges") EdgeListResponse getEdgesForVdc(@PathParam("vdcUuid") String vdcUuid)
      Get the edges for the vDC.
      Parameters:
      vdcUuid - vdc uuid
      Returns:
      a list of vcd edges
    • getStorageProfileSummary

      @GET @Path("/{vdcUuid}/storage-profile-summary") VdcStorageProfileSummaryResponse getStorageProfileSummary(@PathParam("vdcUuid") String vdcUuid, @QueryParam("year") Integer year, @QueryParam("month") Integer month)
      Gets a summary of storage profile usage for a specified vDC and billing period.
      Parameters:
      vdcUuid - the UUID of the vDC
      year - the year
      month - the month in range 1-12
      Returns:
      a summary of storage profile usage
    • getCostOverInvoicePeriodSerie

      @GET @Path("/{vdcUuid}/cost-over-invoice-period") BillingSampleSerieResponse getCostOverInvoicePeriodSerie(@PathParam("vdcUuid") String vdcUuid, @QueryParam("year") Integer year, @QueryParam("month") Integer month, @QueryParam("additionalFields") List<String> additionalFields)
      Get a serie detailing the hourly cost over an invoice period for a given vDC.
      Parameters:
      vdcUuid - the UUID of the vDC
      year - the year
      month - the month in range 1-12
      additionalFields - any additional fields that should be included in the series
      Returns:
      a serie of samples detailing hourly vDC total cost by hour for the invoice period
    • generateVmInventoryReportForVdc

      @POST @Path("/{vdcUuid}/actions/generate-vm-inventory-report") com.iland.core.web.rest.response.task.TaskResponse generateVmInventoryReportForVdc(@PathParam("vdcUuid") String vdcUuid, @QueryParam("emailOnCompletion") boolean emailOnCompletion, @QueryParam("email") String email)
      Generate a VM inventory report for the specified vDC.

      Only available report type of 'csv'

      Parameters:
      vdcUuid - vdc uuid
      emailOnCompletion - whether to email the report upon successful generation, superseded by BillingReportSpec's email property
      email - email address to send the report to if emailOnCompletion is true, defaults to the user's profile email if not specified
      Returns:
      asynchronous task details
    • getVmInventoryReportsForVdc

      @GET @Path("/{vdcUuid}/vm-inventory-reports") ReportHeaderListResponse getVmInventoryReportsForVdc(@PathParam("vdcUuid") String vdcUuid, @QueryParam("format") ReportFormat reportFormat)
      Get the VM inventory reports for vDC.

      The endpoint also supports filtering by report format, using the query param "format".

      Parameters:
      vdcUuid - virtual data center uuid
      Returns:
      list of reports available for download
    • createVmAffinityRule

      @POST @Path("/{vdcUuid}/actions/create-vm-affinity-rule") @Consumes("application/json") com.iland.core.web.rest.response.task.TaskResponse createVmAffinityRule(@PathParam("vdcUuid") String vdcUuid, VmAffinityRuleCreateRequest request)
      Create a vm affinity rule.
      Parameters:
      request - vm affinity rule create request
      Returns:
      core task
    • updateVmAffinityRule

      @PUT @Path("/{vdcUuid}/actions/update-vm-affinity-rule") @Consumes("application/json") com.iland.core.web.rest.response.task.TaskResponse updateVmAffinityRule(@PathParam("vdcUuid") String vdcUuid, VmAffinityRuleUpdateRequest vmAffinityRuleUpdateRequest)
      Update the given vm affinity rule.
      Parameters:
      vdcUuid - virtual data center uuid
      vmAffinityRuleUpdateRequest - vm affinity rule update request
      Returns:
      a task response
    • deleteVmAffinityRule

      @DELETE @Path("/{vdcUuid}/actions/delete-vm-affinity-rule/{ruleUuid}") com.iland.core.web.rest.response.task.TaskResponse deleteVmAffinityRule(@PathParam("vdcUuid") String vdcUuid, @PathParam("ruleUuid") String ruleUuid)
      Deletes a given vm affinity rule.
      Parameters:
      vdcUuid - virtual data center uuid
      ruleUuid - vm affinity rule uuid
      Returns:
      a task response
    • getVmAffinityRules

      @GET @Path("/{vdcUuid}/vm-affinity-rules") VmAffinityRuleListResponse getVmAffinityRules(@PathParam("vdcUuid") String vdcUuid)
      Get all the vm affinity rules for a given vDC.
      Parameters:
      vdcUuid - vdc uuid
      Returns:
      a vm affinity rule list response
    • enableDistributedFirewall

      @POST @Path("/{vdcUuid}/actions/enable-distributed-firewall") void enableDistributedFirewall(@PathParam("vdcUuid") String vdcUuid)
      Enable the distributed firewall on an Org vDC.
      Parameters:
      vdcUuid - vDC uuid
    • getDistributedFirewallLayer3

      @GET @Path("/{vdcUuid}/distributed-firewall-layer3") com.iland.core.web.rest.response.nsx.DistributedFirewallLayer3Response getDistributedFirewallLayer3(@PathParam("vdcUuid") String vdcUuid)
      Get the distributed firewall at layer 3 (general) for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      Returns:
      distributed firewall layer 3 response
    • getDistributedFirewallLayer2

      @GET @Path("/{vdcUuid}/distributed-firewall-layer2") com.iland.core.web.rest.response.nsx.DistributedFirewallLayer2Response getDistributedFirewallLayer2(@PathParam("vdcUuid") String vdcUuid)
      Get the distributed firewall at layer 2 (ethernet) for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      Returns:
      distributed firewall layer 2 response
    • updateDistributedFirewallLayer3

      @PUT @Path("/{vdcUuid}/distributed-firewall-layer3") com.iland.core.web.rest.response.nsx.DistributedFirewallLayer3Response updateDistributedFirewallLayer3(@PathParam("vdcUuid") String vdcUuid, @QueryParam("eTag") Long eTag, com.iland.core.web.rest.request.nsx.DistributedFirewallLayer3UpdateRequest updateRequest)
      Update the distributed firewall at layer 3 (general) for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      eTag - the eTag value. specifying an eTag value allows a client to ensure that the distributed firewall has not been updated since it last read the configuration. If the specified eTag value does not match the current etag value, the request will fail. Use the response from getDistributedFirewallLayer3 to retrieve the current generationNumber needed to modify the configuration (e.g. 1583956143338)
      updateRequest - update request
      Returns:
      distributed firewall layer 3 response
    • updateDistributedFirewallLayer2

      @PUT @Path("/{vdcUuid}/distributed-firewall-layer2") com.iland.core.web.rest.response.nsx.DistributedFirewallLayer2Response updateDistributedFirewallLayer2(@PathParam("vdcUuid") String vdcUuid, @QueryParam("eTag") Long eTag, com.iland.core.web.rest.request.nsx.DistributedFirewallLayer2UpdateRequest updateRequest)
      Update the distributed firewall at layer 2 (ethernet) for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      eTag - the eTag value. specifying an eTag value allows a client to ensure that the distributed firewall has not been updated since it last read the configuration. If the specified eTag value does not match the current etag value, the request will fail. Use the response from getDistributedFirewallLayer3 to retrieve the current generationNumber needed to modify the configuration (e.g. 1583956143338)
      updateRequest - update request
      Returns:
      distributed firewall layer 2 response
    • getDistributedFirewallLayer3Rule

      @GET @Path("/{vdcUuid}/distributed-firewall-layer3-rules/{ruleId}") com.iland.core.web.rest.response.nsx.DistributedFirewallLayer3RuleResponse getDistributedFirewallLayer3Rule(@PathParam("vdcUuid") String vdcUuid, @PathParam("ruleId") long ruleId)
      Get a rule within the distributed firewall at layer 3 (general) for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      ruleId - rule id
      Returns:
      distributed firewall layer 3 rule response
    • getDistributedFirewallLayer2Rule

      @GET @Path("/{vdcUuid}/distributed-firewall-layer2-rules/{ruleId}") com.iland.core.web.rest.response.nsx.DistributedFirewallLayer2RuleResponse getDistributedFirewallLayer2Rule(@PathParam("vdcUuid") String vdcUuid, @PathParam("ruleId") long ruleId)
      Get a rule within the distributed firewall at layer 2 (ethernet) for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      ruleId - rule id
      Returns:
      distributed firewall layer 2 rule response
    • createDistributedFirewallLayer3Rule

      @Consumes("application/json") @POST @Path("/{vdcUuid}/distributed-firewall-layer3-rules") com.iland.core.web.rest.response.nsx.DistributedFirewallLayer3RuleResponse createDistributedFirewallLayer3Rule(@PathParam("vdcUuid") String vdcUuid, @QueryParam("eTag") Long eTag, com.iland.core.web.rest.request.nsx.DistributedFirewallLayer3RuleCreateRequest createRequest)
      Create a rule within the distributed firewall at layer 3 (general) for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      eTag - the eTag value. specifying an eTag value allows a client to ensure that the distributed firewall has not been updated since it last read the configuration. If the specified eTag value does not match the current etag value, the request will fail. Use the response from getDistributedFirewallLayer3 to retrieve the current generationNumber needed to modify the configuration (e.g. 1583956143338)
      createRequest - create request
      Returns:
      distributed firewall layer 3 rule response
    • createDistributedFirewallLayer2Rule

      @Consumes("application/json") @POST @Path("/{vdcUuid}/distributed-firewall-layer2-rules") com.iland.core.web.rest.response.nsx.DistributedFirewallLayer2RuleResponse createDistributedFirewallLayer2Rule(@PathParam("vdcUuid") String vdcUuid, @QueryParam("eTag") Long eTag, com.iland.core.web.rest.request.nsx.DistributedFirewallLayer2RuleCreateRequest createRequest)
      Create a rule within the distributed firewall at layer 2 (ethernet) for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      eTag - the eTag value. specifying an eTag value allows a client to ensure that the distributed firewall has not been updated since it last read the configuration. If the specified eTag value does not match the current etag value, the request will fail. Use the response from getDistributedFirewallLayer3 to retrieve the current generationNumber needed to modify the configuration (e.g. 1583956143338)
      createRequest - create request
      Returns:
      distributed firewall layer 2 rule response
    • updateDistributedFirewallLayer3Rule

      @Consumes("application/json") @PUT @Path("/{vdcUuid}/distributed-firewall-layer3-rules/{ruleId}") com.iland.core.web.rest.response.nsx.DistributedFirewallLayer3RuleResponse updateDistributedFirewallLayer3Rule(@PathParam("vdcUuid") String vdcUuid, @PathParam("ruleId") long ruleId, @QueryParam("eTag") Long eTag, com.iland.core.web.rest.request.nsx.DistributedFirewallLayer3RuleUpdateRequest updateRequest)
      Update a rule within the distributed firewall at layer 3 (general) for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      ruleId - rule id
      eTag - the eTag value. specifying an eTag value allows a client to ensure that the distributed firewall has not been updated since it last read the configuration. If the specified eTag value does not match the current etag value, the request will fail. Use the response from getDistributedFirewallLayer3 to retrieve the current generationNumber needed to modify the configuration (e.g. 1583956143338)
      updateRequest - update request
      Returns:
      distributed firewall layer 3 rule response
    • updateDistributedFirewallLayer2Rule

      @Consumes("application/json") @PUT @Path("/{vdcUuid}/distributed-firewall-layer2-rules/{ruleId}") com.iland.core.web.rest.response.nsx.DistributedFirewallLayer2RuleResponse updateDistributedFirewallLayer2Rule(@PathParam("vdcUuid") String vdcUuid, @PathParam("ruleId") long ruleId, @QueryParam("eTag") Long eTag, com.iland.core.web.rest.request.nsx.DistributedFirewallLayer2RuleUpdateRequest updateRequest)
      Update a rule within the distributed firewall at layer 2 (ethernet) for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      ruleId - rule id
      eTag - the eTag value. specifying an eTag value allows a client to ensure that the distributed firewall has not been updated since it last read the configuration. If the specified eTag value does not match the current etag value, the request will fail. Use the response from getDistributedFirewallLayer3 to retrieve the current generationNumber needed to modify the configuration (e.g. 1583956143338)
      updateRequest - update request
      Returns:
      distributed firewall layer 2 rule response
    • deleteDistributedFirewallLayer3Rule

      @DELETE @Path("/{vdcUuid}/distributed-firewall-layer3-rules/{ruleId}") void deleteDistributedFirewallLayer3Rule(@PathParam("vdcUuid") String vdcUuid, @PathParam("ruleId") long ruleId, @QueryParam("eTag") Long eTag)
      Delete a rule within the distributed firewall at layer 3 (general) for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      ruleId - rule id
      eTag - the eTag value. specifying an eTag value allows a client to ensure that the distributed firewall has not been updated since it last read the configuration. If the specified eTag value does not match the current etag value, the request will fail. Use the response from getDistributedFirewallLayer3 to retrieve the current generationNumber needed to modify the configuration (e.g. 1583956143338)
    • deleteDistributedFirewallLayer2Rule

      @DELETE @Path("/{vdcUuid}/distributed-firewall-layer2-rules/{ruleId}") void deleteDistributedFirewallLayer2Rule(@PathParam("vdcUuid") String vdcUuid, @PathParam("ruleId") long ruleId, @QueryParam("eTag") Long eTag)
      Delete a rule within the distributed firewall at layer 2 (ethernet) for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      ruleId - rule id
      eTag - the eTag value. specifying an eTag value allows a client to ensure that the distributed firewall has not been updated since it last read the configuration. If the specified eTag value does not match the current etag value, the request will fail. Use the response from getDistributedFirewallLayer3 to retrieve the current generationNumber needed to modify the configuration (e.g. 1583956143338)
    • getDistributedFirewallLayer3SourceObjectTypes

      @GET @Path("/{vdcUuid}/distributed-firewall-layer3/sources") com.iland.core.web.rest.response.nsx.DistributedFirewallSourceTypeListResponse getDistributedFirewallLayer3SourceObjectTypes(@PathParam("vdcUuid") String vdcUuid)
      Get the list of distributed firewall layer 3 (general) source object types.
      Parameters:
      vdcUuid - vDC uuid
      Returns:
      the list of layer 3 source object types
    • getDistributedFirewallLayer3SourceObjects

      @GET @Path("/{vdcUuid}/distributed-firewall-layer3/sources/{type}") com.iland.core.web.rest.response.nsx.DistributedFirewallSourceObjectListResponse getDistributedFirewallLayer3SourceObjects(@PathParam("vdcUuid") String vdcUuid, @PathParam("type") String type, @BeanParam ObjectPagingParams filters)
      Get the list of source objects for distributed firewall layer 3 (general).
      Parameters:
      vdcUuid - vDC uuid
      type - source object type
      filters - source object filters
      Returns:
      the list of source objects
    • getDistributedFirewallLayer3DestinationObjectTypes

      @GET @Path("/{vdcUuid}/distributed-firewall-layer3/destinations") com.iland.core.web.rest.response.nsx.DistributedFirewallDestinationTypeListResponse getDistributedFirewallLayer3DestinationObjectTypes(@PathParam("vdcUuid") String vdcUuid)
      Get the list of distributed firewall layer 3 (general) destination object types.
      Parameters:
      vdcUuid - vDC uuid
      Returns:
      the list of layer 3 destination object types
    • getDistributedFirewallLayer3DestinationObjects

      @GET @Path("/{vdcUuid}/distributed-firewall-layer3/destinations/{type}") com.iland.core.web.rest.response.nsx.DistributedFirewallDestinationObjectListResponse getDistributedFirewallLayer3DestinationObjects(@PathParam("vdcUuid") String vdcUuid, @PathParam("type") String type, @BeanParam ObjectPagingParams filters)
      Get the list of destination objects for distributed firewall layer 3 (general).
      Parameters:
      vdcUuid - vDC uuid
      type - destination object type
      filters - destination object filters
      Returns:
      the list of destination objects
    • getDistributedFirewallLayer3AppliedToObjectTypes

      @GET @Path("/{vdcUuid}/distributed-firewall-layer3/applied-to-objects") com.iland.core.web.rest.response.nsx.DistributedFirewallAppliedToTypeListResponse getDistributedFirewallLayer3AppliedToObjectTypes(@PathParam("vdcUuid") String vdcUuid)
      Get the list of distributed firewall layer 3 (general) applied to object types.
      Parameters:
      vdcUuid - vDC uuid
      Returns:
      the list of layer 3 applied to object types
    • getDistributedFirewallLayer3AppliedToObjects

      @GET @Path("/{vdcUuid}/distributed-firewall-layer3/applied-to-objects/{type}") com.iland.core.web.rest.response.nsx.DistributedFirewallAppliedToObjectListResponse getDistributedFirewallLayer3AppliedToObjects(@PathParam("vdcUuid") String vdcUuid, @PathParam("type") String type, @BeanParam ObjectPagingParams filters)
      Get the list of applied to objects for distributed firewall layer 3 (general).
      Parameters:
      vdcUuid - vDC uuid
      type - applied to object type
      filters - applied to object filters
      Returns:
      the list of applied to objects
    • createDistributedFirewallLayer3RestorePoint

      @POST @Path("/{vdcUuid}/distributed-firewall-layer3/restore-points") com.iland.core.web.rest.response.nsx.DistributedFirewallLayer3RestorePointDetailsResponse createDistributedFirewallLayer3RestorePoint(@PathParam("vdcUuid") String vdcUuid, com.iland.core.web.rest.request.nsx.DistributedFirewallRestorePointCreateRequest restorePointCreateRequest)
      Create a distributed firewall layer3 restore point for a vDC's distributed firewall.
      Parameters:
      vdcUuid - vdc uuid
      restorePointCreateRequest - distributed firewall layer3 restore point create request
      Returns:
      distributed firewall restore point
    • getDistributedFirewallLayer3RestorePoints

      @GET @Path("/{vdcUuid}/distributed-firewall-layer3/restore-points") com.iland.core.web.rest.response.nsx.DistributedFirewallRestorePointListResponse getDistributedFirewallLayer3RestorePoints(@PathParam("vdcUuid") String vdcUuid)
      Get the distributed firewall layer3 restore points for a vDC.
      Parameters:
      vdcUuid - vDC uuid
      Returns:
      distributed firewall restore points
    • getDistributedFirewallLayer3RestorePoint

      @GET @Path("/{vdcUuid}/distributed-firewall-layer3/restore-points/{restorePointTime}") com.iland.core.web.rest.response.nsx.DistributedFirewallLayer3RestorePointDetailsResponse getDistributedFirewallLayer3RestorePoint(@PathParam("vdcUuid") String vdcUuid, @PathParam("restorePointTime") long restorePointTime)
      Get a distributed firewall layer3 restore point for a vDC at a given time.

      Restore point time is epoch time in milliseconds.

      Parameters:
      vdcUuid - vDC uuid
      restorePointTime - restore point time
      Returns:
      distributed firewall restore point
    • deleteDistributedFirewallLayer3RestorePoint

      @DELETE @Path("/{vdcUuid}/distributed-firewall-layer3/restore-points/{restorePointTime}") void deleteDistributedFirewallLayer3RestorePoint(@PathParam("vdcUuid") String vdcUuid, @PathParam("restorePointTime") long restorePointTime)
      Delete a distributed firewall layer3 restore point.

      Restore point time is epoch time in milliseconds.

      Parameters:
      vdcUuid - vDC uuid
      restorePointTime - restore point time
    • restoreDistributedFirewallLayer3

      @POST @Path("/{vdcUuid}/distributed-firewall-layer3/actions/restore") com.iland.core.web.rest.response.nsx.DistributedFirewallLayer3Response restoreDistributedFirewallLayer3(@PathParam("vdcUuid") String vdcUuid, com.iland.core.web.rest.request.nsx.RestoreDistributedFirewallRequest restoreDistributedFirewallRequest)
      Restore a vDC's distributed firewall layer3 configuration to a specified restore point.
      Parameters:
      vdcUuid - vDC uuid
      restoreDistributedFirewallRequest - the request body, which specifies the restore point time
      Returns:
      distributed firewall
    • createDistributedFirewallLayer2RestorePoint

      @POST @Path("/{vdcUuid}/distributed-firewall-layer2/restore-points") com.iland.core.web.rest.response.nsx.DistributedFirewallLayer2RestorePointDetailsResponse createDistributedFirewallLayer2RestorePoint(@PathParam("vdcUuid") String vdcUuid, com.iland.core.web.rest.request.nsx.DistributedFirewallRestorePointCreateRequest restorePointCreateRequest)
      Create a distributed firewall layer2 restore point for a vDC's distributed firewall.
      Parameters:
      vdcUuid - vdc uuid
      restorePointCreateRequest - distributed firewall layer2 restore point create request
      Returns:
      distributed firewall restore point
    • getDistributedFirewallLayer2RestorePoints

      @GET @Path("/{vdcUuid}/distributed-firewall-layer2/restore-points") com.iland.core.web.rest.response.nsx.DistributedFirewallRestorePointListResponse getDistributedFirewallLayer2RestorePoints(@PathParam("vdcUuid") String vdcUuid)
      Get the distributed firewall layer2 restore points for a vDC.
      Parameters:
      vdcUuid - vDC uuid
      Returns:
      distributed firewall restore points
    • getDistributedFirewallLayer2RestorePoint

      @GET @Path("/{vdcUuid}/distributed-firewall-layer2/restore-points/{restorePointTime}") com.iland.core.web.rest.response.nsx.DistributedFirewallLayer2RestorePointDetailsResponse getDistributedFirewallLayer2RestorePoint(@PathParam("vdcUuid") String vdcUuid, @PathParam("restorePointTime") long restorePointTime)
      Get a distributed firewall layer2 restore point for a vDC at a given time.

      Restore point time is epoch time in milliseconds.

      Parameters:
      vdcUuid - vDC uuid
      restorePointTime - restore point time
      Returns:
      distributed firewall restore point
    • deleteDistributedFirewallLayer2RestorePoint

      @DELETE @Path("/{vdcUuid}/distributed-firewall-layer2/restore-points/{restorePointTime}") void deleteDistributedFirewallLayer2RestorePoint(@PathParam("vdcUuid") String vdcUuid, @PathParam("restorePointTime") long restorePointTime)
      Delete a distributed firewall layer2 restore point.

      Restore point time is epoch time in milliseconds.

      Parameters:
      vdcUuid - vDC uuid
      restorePointTime - restore point time
    • restoreDistributedFirewallLayer2

      @POST @Path("/{vdcUuid}/distributed-firewall-layer2/actions/restore") com.iland.core.web.rest.response.nsx.DistributedFirewallLayer2Response restoreDistributedFirewallLayer2(@PathParam("vdcUuid") String vdcUuid, com.iland.core.web.rest.request.nsx.RestoreDistributedFirewallRequest restoreDistributedFirewallRequest)
      Restore a vDC's distributed firewall layer2 configuration to a specified restore point.
      Parameters:
      vdcUuid - vDC uuid
      restoreDistributedFirewallRequest - the request body, which specifies the restore point time
      Returns:
      distributed firewall
    • getDistributedFirewallLayer2SourceObjectTypes

      @GET @Path("/{vdcUuid}/distributed-firewall-layer2/sources") com.iland.core.web.rest.response.nsx.DistributedFirewallSourceTypeListResponse getDistributedFirewallLayer2SourceObjectTypes(@PathParam("vdcUuid") String vdcUuid)
      Get the list of distributed firewall layer 2 (ethernet) source object types.
      Parameters:
      vdcUuid - vDC uuid
      Returns:
      the list of layer 2 source object types
    • getDistributedFirewallLayer2SourceObjects

      @GET @Path("/{vdcUuid}/distributed-firewall-layer2/sources/{type}") com.iland.core.web.rest.response.nsx.DistributedFirewallSourceObjectListResponse getDistributedFirewallLayer2SourceObjects(@PathParam("vdcUuid") String vdcUuid, @PathParam("type") String type, @BeanParam ObjectPagingParams filters)
      Get the list of source objects for distributed firewall layer 2 (ethernet).
      Parameters:
      vdcUuid - vDC uuid
      type - source object type
      filters - source object filters
      Returns:
      the list of source objects
    • getDistributedFirewallLayer2DestinationObjectTypes

      @GET @Path("/{vdcUuid}/distributed-firewall-layer2/destinations") com.iland.core.web.rest.response.nsx.DistributedFirewallDestinationTypeListResponse getDistributedFirewallLayer2DestinationObjectTypes(@PathParam("vdcUuid") String vdcUuid)
      Get the list of distributed firewall layer 2 (ethernet) destination object types.
      Parameters:
      vdcUuid - vDC uuid
      Returns:
      the list of layer 2 destination object types
    • getDistributedFirewallLayer2DestinationObjects

      @GET @Path("/{vdcUuid}/distributed-firewall-layer2/destinations/{type}") com.iland.core.web.rest.response.nsx.DistributedFirewallDestinationObjectListResponse getDistributedFirewallLayer2DestinationObjects(@PathParam("vdcUuid") String vdcUuid, @PathParam("type") String type, @BeanParam ObjectPagingParams filters)
      Get the list of destination objects for distributed firewall layer 2 (ethernet).
      Parameters:
      vdcUuid - vDC uuid
      type - destination object type
      filters - destination object filters
      Returns:
      the list of destination objects
    • getDistributedFirewallLayer2AppliedToObjectTypes

      @GET @Path("/{vdcUuid}/distributed-firewall-layer2/applied-to-objects") com.iland.core.web.rest.response.nsx.DistributedFirewallAppliedToTypeListResponse getDistributedFirewallLayer2AppliedToObjectTypes(@PathParam("vdcUuid") String vdcUuid)
      Get the list of distributed firewall layer 2 (ethernet) applied to object types.
      Parameters:
      vdcUuid - vDC uuid
      Returns:
      the list of layer 2 applied to object types
    • getDistributedFirewallLayer2AppliedToObjects

      @GET @Path("/{vdcUuid}/distributed-firewall-layer2/applied-to-objects/{type}") com.iland.core.web.rest.response.nsx.DistributedFirewallAppliedToObjectListResponse getDistributedFirewallLayer2AppliedToObjects(@PathParam("vdcUuid") String vdcUuid, @PathParam("type") String type, @BeanParam ObjectPagingParams filters)
      Get the list of applied to objects for distributed firewall layer 2 (ethernet).
      Parameters:
      vdcUuid - vDC uuid
      type - applied to object type
      filters - applied to object filters
      Returns:
      the list of applied to objects
    • createIpSet

      @POST @Path("/{vdcUuid}/ipsets") @Consumes("application/json") com.iland.core.web.rest.response.nsx.IpSetResponse createIpSet(@PathParam("vdcUuid") String vdcUuid, com.iland.core.web.rest.request.nsx.IpSetCreateRequest ipSetCreateRequest)
      Create a IP set grouping object for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      ipSetCreateRequest - ip set create request
      Returns:
      created ip set
    • getIpSets

      @GET @Path("/{vdcUuid}/ipsets") com.iland.core.web.rest.response.nsx.IpSetListResponse getIpSets(@PathParam("vdcUuid") String vdcUuid)
      Get all the IP sets for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      Returns:
      ip set list response
    • createMacSet

      @POST @Path("/{vdcUuid}/macsets") @Consumes("application/json") com.iland.core.web.rest.response.nsx.MacSetResponse createMacSet(@PathParam("vdcUuid") String vdcUuid, com.iland.core.web.rest.request.nsx.MacSetCreateRequest macSetCreateRequest)
      Create a MAC set grouping object for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      macSetCreateRequest - mac set create request
      Returns:
      created mac set
    • getMacSets

      @GET @Path("/{vdcUuid}/macsets") com.iland.core.web.rest.response.nsx.MacSetListResponse getMacSets(@PathParam("vdcUuid") String vdcUuid)
      Get all the MAC sets for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      Returns:
      mac set list response
    • getIpSet

      @GET @Path("/{vdcUuid}/ipsets/{ipsetId}") com.iland.core.web.rest.response.nsx.IpSetResponse getIpSet(@PathParam("vdcUuid") String vdcUuid, @PathParam("ipsetId") String ipSetId)
      Get the specified IP set given it's UUID.
      Parameters:
      vdcUuid - vDC uuid
      ipSetId - ip set id (e.g. ipset-1)
      Returns:
      ip set response
    • updateIpSet

      @PUT @Path("/{vdcUuid}/ipsets/{ipsetId}") com.iland.core.web.rest.response.nsx.IpSetResponse updateIpSet(@PathParam("vdcUuid") String vdcUuid, @PathParam("ipsetId") String ipSetId, com.iland.core.web.rest.request.nsx.IpSetUpdateRequest ipSetUpdateRequest)
      Updates a IP set grouping object for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      ipSetId - ip set id (e.g. ipset-1)
      ipSetUpdateRequest - ip set update request
      Returns:
      created ip set
    • deleteIpSet

      @DELETE @Path("/{vdcUuid}/ipsets/{ipsetId}") void deleteIpSet(@PathParam("vdcUuid") String vdcUuid, @PathParam("ipsetId") String ipSetId)
      Delete the specified IP set.
      Parameters:
      vdcUuid - vDC uuid
      ipSetId - ip set id (e.g. ipset-1)
    • getApplications

      @GET @Path("/{vdcUuid}/applications") com.iland.core.web.rest.response.nsx.ApplicationListResponse getApplications(@PathParam("vdcUuid") String vdcUuid)
      Get all the application grouping objects for a given vDC.
      Parameters:
      vdcUuid - vdc uuid
      Returns:
      a application grouping object list response
    • getApplication

      @GET @Path("/{vdcUuid}/applications/{applicationId}") com.iland.core.web.rest.response.nsx.ApplicationResponse getApplication(@PathParam("vdcUuid") String vdcUuid, @PathParam("applicationId") String applicationId)
      Get the specified application group for the given vDC.
      Parameters:
      vdcUuid - vdc uuid
      applicationId - application grouping object id (e.g. application-1)
      Returns:
      a application grouping object
    • getApplicationGroups

      @GET @Path("/{vdcUuid}/application-groups") com.iland.core.web.rest.response.nsx.ApplicationGroupListResponse getApplicationGroups(@PathParam("vdcUuid") String vdcUuid)
      Get a list application group grouping objects for a given vDC.
      Parameters:
      vdcUuid - vdc uuid
      Returns:
      a application group grouping object list response
    • getApplicationGroup

      @GET @Path("/{vdcUuid}/application-groups/{applicationGroupId}") com.iland.core.web.rest.response.nsx.ApplicationGroupResponse getApplicationGroup(@PathParam("vdcUuid") String vdcUuid, @PathParam("applicationGroupId") String applicationGroupId)
      Get a specified application group for a given vDC.
      Parameters:
      vdcUuid - vdc uuid
      applicationGroupId - application group id (e.g. applicationgroup-1)
      Returns:
      a application group grouping object response
    • getMacSet

      @GET @Path("/{vdcUuid}/macsets/{macsetId}") com.iland.core.web.rest.response.nsx.MacSetResponse getMacSet(@PathParam("vdcUuid") String vdcUuid, @PathParam("macsetId") String macSetId)
      Get the specified MAC set given it's UUID.
      Parameters:
      vdcUuid - vDC uuid
      macSetId - mac set id (e.g. macset-1)
      Returns:
      mac set response
    • updateMacSet

      @PUT @Path("/{vdcUuid}/macsets/{macsetId}") com.iland.core.web.rest.response.nsx.MacSetResponse updateMacSet(@PathParam("vdcUuid") String vdcUuid, @PathParam("macsetId") String macSetId, com.iland.core.web.rest.request.nsx.MacSetUpdateRequest macSetUpdateRequest)
      Updates a MAC set grouping object for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      macSetId - mac set id (e.g. macset-1)
      macSetUpdateRequest - mac set update request
      Returns:
      created mac set
    • deleteMacSet

      @DELETE @Path("/{vdcUuid}/macsets/{macsetId}") void deleteMacSet(@PathParam("vdcUuid") String vdcUuid, @PathParam("macsetId") String macSetId)
      Delete the specified MAC set.
      Parameters:
      vdcUuid - vDC uuid
      macSetId - mac set id (e.g. macset-1)
    • getSecurityTags

      @GET @Path("/{vdcUuid}/security-tags") com.iland.core.web.rest.response.nsx.SecurityTagsResponse getSecurityTags(@PathParam("vdcUuid") String vdcUuid)
      Get a list of security tags for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      Returns:
      list of security tags response
    • getSecurityTag

      @GET @Path("/{vdcUuid}/security-tags/{securitytagId}") com.iland.core.web.rest.response.nsx.SecurityTagWithAssignedVMsResponse getSecurityTag(@PathParam("vdcUuid") String vdcUuid, @PathParam("securitytagId") String securitytagId)
      Get the specified security tag for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      securitytagId - security tag id (e.g. securitytag-1)
      Returns:
      security tag response
    • createSecurityTag

      @POST @Path("/{vdcUuid}/security-tags") @Consumes("application/json") com.iland.core.web.rest.response.nsx.SecurityTagWithAssignedVMsResponse createSecurityTag(@PathParam("vdcUuid") String vdcUuid, com.iland.core.web.rest.request.nsx.SecurityTagCreateRequest createRequest)
      Create a new security tag for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      createRequest - create request
      Returns:
      created security tag response
    • updateSecurityTag

      @PUT @Path("/{vdcUuid}/security-tags/{securitytagId}") com.iland.core.web.rest.response.nsx.SecurityTagWithAssignedVMsResponse updateSecurityTag(@PathParam("vdcUuid") String vdcUuid, @PathParam("securitytagId") String securitytagId, com.iland.core.web.rest.request.nsx.SecurityTagUpdateRequest updateRequest)
      Update a specified security tag for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      securitytagId - security tag id (e.g. securitytag-1)
      updateRequest - update request
      Returns:
      updated security tag response
    • deleteSecurityTag

      @DELETE @Path("/{vdcUuid}/security-tags/{securitytagId}") void deleteSecurityTag(@PathParam("vdcUuid") String vdcUuid, @PathParam("securitytagId") String securitytagId)
      Delete a specified security tag for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      securitytagId - security tag id (e.g. securitytag-1)
    • getSecurityTagObjectTypes

      @GET @Path("/{vdcUuid}/security-tag-objects") com.iland.core.web.rest.response.nsx.SecurityTagObjectTypeListResponse getSecurityTagObjectTypes(@PathParam("vdcUuid") String vdcUuid)
      Get the list of security tag object types.
      Parameters:
      vdcUuid - vDC uuid
      Returns:
      the list of security tag object types
    • getSecurityTagObjects

      @GET @Path("/{vdcUuid}/security-tag-objects/{type}") com.iland.core.web.rest.response.nsx.SecurityTagObjectListResponse getSecurityTagObjects(@PathParam("vdcUuid") String vdcUuid, @PathParam("type") String type, @BeanParam ObjectPagingParams filter)
      Get the list of security tag objects.
      Parameters:
      vdcUuid - vDC uuid
      type - security tag object type
      filter - security tag object filter
      Returns:
      the list of security tag objects
    • getSecurityGroups

      @GET @Path("/{vdcUuid}/security-groups") com.iland.core.web.rest.response.nsx.SecurityGroupsResponse getSecurityGroups(@PathParam("vdcUuid") String vdcUuid)
      Get a list of security groups for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      Returns:
      list of security groups response
    • getSecurityGroup

      @GET @Path("/{vdcUuid}/security-groups/{securitygroupId}") com.iland.core.web.rest.response.nsx.SecurityGroupResponse getSecurityGroup(@PathParam("vdcUuid") String vdcUuid, @PathParam("securitygroupId") String securitygroupId)
      Get the specified security group for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      securitygroupId - security group id (e.g. securitygroup-1)
      Returns:
      security group response
    • createSecurityGroup

      @POST @Path("/{vdcUuid}/security-groups") com.iland.core.web.rest.response.nsx.SecurityGroupResponse createSecurityGroup(@PathParam("vdcUuid") String vdcUuid, com.iland.core.web.rest.request.nsx.SecurityGroupCreateRequest createRequest)
      Create a new security group for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      createRequest - create request
      Returns:
      created security group response
    • updateSecurityGroup

      @PUT @Path("/{vdcUuid}/security-groups/{securitygroupId}") com.iland.core.web.rest.response.nsx.SecurityGroupResponse updateSecurityGroup(@PathParam("vdcUuid") String vdcUuid, @PathParam("securitygroupId") String securitygroupId, com.iland.core.web.rest.request.nsx.SecurityGroupUpdateRequest updateRequest)
      Update a specified security group for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      securitygroupId - security group id (e.g. securitygroup-1)
      updateRequest - update request
      Returns:
      updated security group response
    • deleteSecurityGroup

      @DELETE @Path("/{vdcUuid}/security-groups/{securitygroupId}") void deleteSecurityGroup(@PathParam("vdcUuid") String vdcUuid, @PathParam("securitygroupId") String securitygroupId)
      Delete a specified security group for a given vDC.
      Parameters:
      vdcUuid - vDC uuid
      securitygroupId - security group id (e.g. securitygroup-1)
    • getSecurityGroupMemberTypes

      @GET @Path("/{vdcUuid}/security-group-members") com.iland.core.web.rest.response.nsx.SecurityGroupMemberTypeListResponse getSecurityGroupMemberTypes(@PathParam("vdcUuid") String vdcUuid)
      Get the list of security group member types.
      Parameters:
      vdcUuid - vDC uuid
      Returns:
      the list of security group member types
    • getSecurityGroupMembers

      @GET @Path("/{vdcUuid}/security-group-members/{type}") com.iland.core.web.rest.response.nsx.SecurityGroupMemberListResponse getSecurityGroupMembers(@PathParam("vdcUuid") String vdcUuid, @PathParam("type") String type, @BeanParam ObjectPagingParams filter)
      Get the list of security group members.
      Parameters:
      vdcUuid - vDC uuid
      type - security group member type
      filter - security group member filter
      Returns:
      the list of security group members
    • startBackupGroupRun

      @POST @Path("/{vdcUuid}/backup-groups/{backupGroupUid}/runs") com.iland.core.web.rest.response.task.TaskResponse startBackupGroupRun(@PathParam("vdcUuid") String vdcUuid, @PathParam("backupGroupUid") String backupGroupUid, @QueryParam("runType") com.iland.cohesity.iaas.backups.common.enums.RunType runType)
      Manually start an unscheduled backup group job run.
      Parameters:
      vdcUuid - the UUID of the vDC
      backupGroupUid - the UID of the backup group
      runType - the run type
      Returns:
      the task response, used to track the asynchronous operation
    • listBackupGroups

      @GET @Path("/{vdcUuid}/backup-groups") BackupGroupListResponse listBackupGroups(@PathParam("vdcUuid") String vdcUuid, @QueryParam("includeDeleted") boolean includeDeleted, @QueryParam("includeSummaryStats") boolean includeSummaryStats, @QueryParam("includeLastRun") boolean includeLastRun, @QueryParam("includeBackupPolicy") boolean includeBackupPolicy)
      List the existing backup groups that are configured in a specified virtual datacenter.
      Parameters:
      vdcUuid - the UUID of the vDC
      includeDeleted - whether to include deleted backup groups
      includeSummaryStats - whether to include backup summary stats
      includeLastRun - whether to include last run info in the response.
      includeBackupPolicy - whether to include backup policy details
      Returns:
      BackupGroupListResponse
    • listV2BackupGroups

      @GET @Path("/{vdcUuid}/backup-groups-x") BackupGroupV2ListResponse listV2BackupGroups(@PathParam("vdcUuid") com.iland.cohesity.iaas.backups.common.model.VdcUuid vdcUuid, @QueryParam("includeDeleted") boolean includeDeleted, @QueryParam("includeSummaryStats") boolean includeSummaryStats, @QueryParam("includeLastRun") boolean includeLastRun, @QueryParam("includeBackupPolicy") boolean includeBackupPolicy, @QueryParam("includeLegacyVMware") boolean includeLegacyVMware)
      List the existing backup groups that are configured in a specified virtual datacenter.
      Parameters:
      vdcUuid - the UUID of the vDC
      includeDeleted - whether to include deleted backup groups
      includeSummaryStats - whether to include backup summary stats
      includeLastRun - whether to include last run info in the response.
      includeBackupPolicy - whether to include backup policy details
      includeLegacyVMware - weather to include legacy VMware backup groups
      Returns:
      list of backup groups
    • getBackupGroupSummaryStats

      @GET @Path("/{vdcUuid}/backup-group-summary-stats") VdcBackupSummaryStatsResponse getBackupGroupSummaryStats(@PathParam("vdcUuid") String vdcUuid, @BeanParam GetBackupGroupSummaryStatsFilters filters)
      Gets backup group summary stats for the vDC.

      Stat time-range defaults to the past 24 hours.

      Parameters:
      vdcUuid - the UUID of the vDC
      filters - optional filters that can be used to specify a custom timeframe.
      Returns:
      VdcBackupSummaryStatsResponse
    • createBackupGroup

      @POST @Path("/{vdcUuid}/backup-groups") @Consumes("application/json") BackupGroupResponse createBackupGroup(@PathParam("vdcUuid") String vdcUuid, BackupGroupUpdateRequest creationRequest)
      Create a new backup group.
      Parameters:
      vdcUuid - the UUID of the virtual datacenter
      creationRequest - the creation request body
      Returns:
      BackupGroupResponse
    • createBackupGroup

      @POST @Path("/{vdcUuid}/backup-groups/file") @Consumes("application/json") com.iland.cohesity.iaas.backups.backupgroups.api.modelx.BackupGroupV2 createBackupGroup(@PathParam("vdcUuid") com.iland.cohesity.iaas.backups.common.model.VdcUuid vdcUuid, com.iland.cohesity.iaas.backups.backupgroups.api.modelx.FileBasedBackupGroupWithCommonParams creationRequest)
      Create a new file-based backup group.
      Parameters:
      vdcUuid - the UUID of the virtual datacenter
      creationRequest - the creation request body
      Returns:
      BackupGroupResponse
    • createBackupGroup

      @POST @Path("/{vdcUuid}/backup-groups/block") @Consumes("application/json") com.iland.cohesity.iaas.backups.backupgroups.api.modelx.BackupGroupV2 createBackupGroup(@PathParam("vdcUuid") com.iland.cohesity.iaas.backups.common.model.VdcUuid vdcUuid, com.iland.cohesity.iaas.backups.backupgroups.api.modelx.BlockBasedBackupGroupWithCommonParams creationRequest)
      Create a new block-based backup group.
      Parameters:
      vdcUuid - the UUID of the virtual datacenter
      creationRequest - the creation request body
      Returns:
      BackupGroupResponse
    • createBackupGroup

      @POST @Path("/{vdcUuid}/backup-groups/mssql/file") @Consumes("application/json") com.iland.cohesity.iaas.backups.backupgroups.api.modelx.BackupGroupV2 createBackupGroup(@PathParam("vdcUuid") com.iland.cohesity.iaas.backups.common.model.VdcUuid vdcUuid, com.iland.cohesity.iaas.backups.backupgroups.api.modelx.MssqlFileBasedBackupGroupWithCommonParams creationRequest)
      Create a new MSSQL file-based backup group.
      Parameters:
      vdcUuid - the UUID of the virtual datacenter
      creationRequest - the creation request body
      Returns:
      BackupGroupResponse
    • createBackupGroup

      @POST @Path("/{vdcUuid}/backup-groups/mssql/volume") @Consumes("application/json") com.iland.cohesity.iaas.backups.backupgroups.api.modelx.BackupGroupV2 createBackupGroup(@PathParam("vdcUuid") com.iland.cohesity.iaas.backups.common.model.VdcUuid vdcUuid, com.iland.cohesity.iaas.backups.backupgroups.api.modelx.MssqlVolumeBasedBackupGroupWithCommonParams creationRequest)
      Create a new MSSQL volume-based backup group.
      Parameters:
      vdcUuid - the UUID of the virtual datacenter
      creationRequest - the creation request body
      Returns:
      BackupGroupResponse
    • createBackupGroup

      @POST @Path("/{vdcUuid}/backup-groups/mssql/native") @Consumes("application/json") com.iland.cohesity.iaas.backups.backupgroups.api.modelx.BackupGroupV2 createBackupGroup(@PathParam("vdcUuid") com.iland.cohesity.iaas.backups.common.model.VdcUuid vdcUuid, com.iland.cohesity.iaas.backups.backupgroups.api.modelx.MssqlNativeBasedBackupGroupWithCommonParams creationRequest)
      Create a new MSSQL native-based backup group.
      Parameters:
      vdcUuid - the UUID of the virtual datacenter
      creationRequest - the creation request body
      Returns:
      BackupGroupResponse
    • createBackupGroup

      @POST @Path("/{vdcUuid}/backup-groups/oracle") @Consumes("application/json") com.iland.cohesity.iaas.backups.backupgroups.api.modelx.BackupGroupV2 createBackupGroup(@PathParam("vdcUuid") com.iland.cohesity.iaas.backups.common.model.VdcUuid vdcUuid, com.iland.cohesity.iaas.backups.backupgroups.api.modelx.OracleBasedBackupGroupWithCommonParams creationRequest)
      Create a new oracle based backup group.
      Parameters:
      vdcUuid - the UUID of the virtual datacenter
      creationRequest - the creation request body
      Returns:
      BackupGroupResponse
    • listBackupPolicies

      @GET @Path("/{vdcUuid}/backup-policies") BackupPolicyListResponse listBackupPolicies(@PathParam("vdcUuid") String vdcUuid, @QueryParam("includeOrgPolicies") boolean includeOrgPolicies)
      List the existing backup policies that are configured in a vDC.
      Parameters:
      vdcUuid - the UUID of the vDC
      includeOrgPolicies - whether to include org-scoped policies from the parent org
      Returns:
      BackupPolicyListResponse
    • getBackupPolicy

      @GET @Path("/{vdcUuid}/backup-policies/{backupPolicyUid}") BackupPolicyResponse getBackupPolicy(@PathParam("vdcUuid") String vdcUuid, @PathParam("backupPolicyUid") String backupPolicyUid)
      Get details of an individual vDC-scoped backup policy.
      Parameters:
      backupPolicyUid - the UID of the backup policy
      vdcUuid - the UUID of the vdc
      Returns:
      BackupPolicyResponse
    • createBackupPolicy

      @POST @Path("/{vdcUuid}/backup-policies") @Consumes("application/json") BackupPolicyResponse createBackupPolicy(@PathParam("vdcUuid") String vdcUuid, BackupPolicyUpdateRequest creationRequest)
      Create a new vdc-scoped backup policy.
      Parameters:
      vdcUuid - the UUID of the vdc
      creationRequest - the creation request body
      Returns:
      BackupPolicyResponse
    • updateBackupPolicy

      @PUT @Path("/{vdcUuid}/backup-policies/{backupPolicyUid}") @Consumes("application/json") BackupPolicyResponse updateBackupPolicy(@PathParam("vdcUuid") String vdcUuid, @PathParam("backupPolicyUid") String backupPolicyUid, BackupPolicyUpdateRequest updateRequest)
      Update a backup policy.
      Parameters:
      vdcUuid - the UUID of the vdc
      backupPolicyUid - the UID of the backup policy
      updateRequest - the update request body
      Returns:
      BackupPolicyResponse
    • deleteBackupPolicy

      @DELETE @Path("/{vdcUuid}/backup-policies/{backupPolicyUid}") @Consumes("application/json") void deleteBackupPolicy(@PathParam("vdcUuid") String vdcUuid, @PathParam("backupPolicyUid") String backupPolicyUid)
      Delete a backup policy.
      Parameters:
      vdcUuid - the UUID of the vdc
      backupPolicyUid - the UID of the backup policy
    • listBackupGroupRuns

      @GET @Path("/{vdcUuid}/backup-runs") BackupGroupRunListResponse listBackupGroupRuns(@PathParam("vdcUuid") String vdcUuid, @BeanParam ListBackupGroupRunsQueryParams params)
      List backup runs for the specified vDC.

      Limit defaults to 10 and query time range defaults to last 24 hours.

      Parameters:
      vdcUuid - the vDC UUID
      params - query filter params
      Returns:
      BackupGroupRunListResponse
    • getBackupGroupRunMessagesReport

      @POST @Path("/{vdcUuid}/backup-runs/{backupRunUid}/sources/{sourceUid}/messages-report") @Produces("text/csv") InputStream getBackupGroupRunMessagesReport(@PathParam("vdcUuid") com.iland.cohesity.iaas.backups.common.model.VdcUuid vdcUuid, @PathParam("backupRunUid") com.iland.cohesity.iaas.backups.common.model.BackupRunUid backupRunUid, @PathParam("sourceUid") com.iland.cohesity.iaas.backups.common.model.SourceUid sourceUid)
      Download the messages report of a single protected entity of a backup run as a CSV.

      The report is offered as an attachment whose file name is generated here, so it never carries a name chosen by the backups service or its upstream vendor.

      Parameters:
      vdcUuid - the vDC UUID
      backupRunUid - the UID of the backup run
      sourceUid - the UID of the protected entity to report on
      Returns:
      the CSV report
    • getBackupStatus

      @GET @Path("/{vdcUuid}/backup-status") VdcBackupStatusResponse getBackupStatus(@PathParam("vdcUuid") String vdcUuid)
      Gets the vDC's backup status.
      Parameters:
      vdcUuid - the UUID of the vDC
      Returns:
      vDC backup status details
    • getIntegratedBackupStatus

      @GET @Path("/{vdcUuid}/integrated-backup-status") VdcIntegratedBackupStatusDetailResponse getIntegratedBackupStatus(@PathParam("vdcUuid") String vdcUuid)
      Gets the vDC's integrated backup status.
      Parameters:
      vdcUuid - the UUID of the vDC
      Returns:
      vDC integrated backup status details
    • searchRecoverableFilesAndFolders

      @GET @Path("/{vdcUuid}/recoverable-files-and-folders") RecoverableFilesSearchResultListResponse searchRecoverableFilesAndFolders(@PathParam("vdcUuid") String vdcUuid, @BeanParam SearchVdcRecoverableFilesAndFoldersFilters filters)
      Searches for recoverable backup files and folders within the vDC.
      Parameters:
      vdcUuid - the UUID of the vDC
      filters - optional query filters
      Returns:
      a list of recoverable files and folders
    • getBackupStorageMetrics

      @GET @Path("/{vdcUuid}/backup-storage-metrics") VdcBackupStorageMetricListResponse getBackupStorageMetrics(@PathParam("vdcUuid") String vdcUuid)
      Gets the list of storage metrics that are available for the vDC.
      Parameters:
      vdcUuid - the UUID of the vDC
      Returns:
      the list of storage metrics names
    • getBackupStorageSamples

      @GET @Path("/{vdcUuid}/backup-storage-metrics/{metric}/samples") VdcBackupStorageSampleSeriesResponse getBackupStorageSamples(@PathParam("vdcUuid") String vdcUuid, @PathParam("metric") VdcBackupStorageMetric metric, @BeanParam GetBackupStorageSamplesFilters filters)
      Gets a series of vDC backup storage samples for a specified storage metric.
      Parameters:
      vdcUuid - the UUID of the vDC
      metric - the storage metric name
      filters - optional filters for the start and end of the series
      Returns:
      the sample series
    • listIaasBackupBills

      @GET @Path("/{vdcUuid}/iaas-backup-bills") IaasBackupBillListResponse listIaasBackupBills(@PathParam("vdcUuid") String vdcUuid, @QueryParam("start") String start, @QueryParam("end") String end)
      Lists bills for IaaS backup in the specified time range.

      Both start and end time query params default to the current month.

      Parameters:
      vdcUuid - the UUID of the vDC
      start - Specifies the start of the range as a year-month in the ISO-8601 calendar system, such as 2007-12.
      end - Specifies the end of the range as a year-month in the ISO-8601 calendar system, such as 2007-12.
      Returns:
      the list of bills
    • listIaasBackupSubscriptions

      @GET @Path("/{vdcUuid}/iaas-backup-subscriptions") IaasBackupSubscriptionListResponse listIaasBackupSubscriptions(@PathParam("vdcUuid") String vdcUuid, @QueryParam("startTimeMillis") Long startTimeMillis, @QueryParam("endTimeMillis") Long endTimeMillis)
      Lists IaaS backup subscriptions that were active in the specified time range.
      Parameters:
      vdcUuid - the UUID of the vDC
      startTimeMillis - the start time in epoch millis
      endTimeMillis - the end time in epoch millis
      Returns:
      list of subscriptions
    • listIaasBackupGroupStats

      @GET @Path("/{vdcUuid}/stats") IaasBackupSummaryListResponse listIaasBackupGroupStats(@PathParam("vdcUuid") String vdcUuid, @QueryParam("startMonth") String startMonth, @QueryParam("endMonth") String endMonth)
      Lists stats for IaaS backup groups.
      Parameters:
      vdcUuid - the UUID of the vDC
      startMonth - in the format of "yyyy-MM"; optional; defaults to 6 months ago; inclusive
      endMonth - in the format of "yyyy-MM"; optional; defaults to the current month; inclusive
      Returns:
      list response
    • searchRecoverableVMs

      @GET @Path("/{vdcUuid}/recoverable-vms") VMBackupSnapshotListResponse searchRecoverableVMs(@PathParam("vdcUuid") String vdcUuid, @BeanParam SearchVdcRecoverableVMsFilters filters)
      Searches for recoverable VM snapshots within the vDC.
      Parameters:
      vdcUuid - the UUID of the vDC
      filters - optional query filters
      Returns:
      a list of recoverable VM snapshots
    • restoreVMBackupsInVdc

      @POST @Path("/{vdcUuid}/actions/restore-vm-backups") com.iland.core.web.rest.response.task.TaskResponse restoreVMBackupsInVdc(@PathParam("vdcUuid") String vdcUuid, RestoreVMBackupsInVdcParams params)
      Restores one or more VM backups within the vDC.
      Parameters:
      vdcUuid - the UUID of the vDC
      params - restoration parameters
      Returns:
      the restore task, used to track the asynchronous operation
    • getVdcBackupClusterInfo

      @GET @Path("/{vdcUuid}/backup-cluster-info") VdcBackupClusterInfo getVdcBackupClusterInfo(@PathParam("vdcUuid") String vdcUuid)
      Gets info about the backup cluster and remote replicas that are available to the vDC.
      Parameters:
      vdcUuid - the UUID of the vDC
      Returns:
      information about the local backup cluster and available remote clusters
    • listBackupRestoreTasks

      @GET @Path("/{vdcUuid}/backup-restore-tasks") BackupRestoreTaskListResponse listBackupRestoreTasks(@PathParam("vdcUuid") String vdcUuid, @BeanParam ListBackupRestoreTasksFilters filters)
      Lists detailed task information for advanced backup restore tasks in a specified vDC.
      Parameters:
      vdcUuid - the UUID of the vDC
      filters - optional query filters
      Returns:
      listing of advanced backup restore task details
    • getBackupRestoreTask

      @GET @Path("/{vdcUuid}/backup-restore-tasks/{restoreTaskUid}") BackupRestoreTaskDetailResponse getBackupRestoreTask(@PathParam("vdcUuid") String vdcUuid, @PathParam("restoreTaskUid") String restoreTaskUid)
      Gets detailed recovery task information for a specific advanced backup restore task.
      Parameters:
      vdcUuid - the UUID of the vDC
      restoreTaskUid - the UID of the restore task to retrieve
      Returns:
      advanced backup restore task details